<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <button type="submit" form="form-smilePay-shipping" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach($breadcrumbs as $breadcrumb ): ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php endforeach; ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <?php if($error_warning ): ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php endif; ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_edit; ?></h3>
      </div>
      
      <div class="panel-body">
        <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-smilePay-shipping" class="form-horizontal">
          
          <div class="panel-body" id="group-general">
          
              <div class="panel-heading">
                <h3 class="panel-title"><a data-toggle="collapse" data-parent="#group-general" href="#group-general-content"><?php echo $group_genernal; ?></a> </h3>
              </div>
              <div id="group-general-content" class="panel-collapse collapse in">
         <!--Geo zone start-->
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-geo-zone"><?php echo $entry_geo_zone; ?></label>
                <div class="col-sm-10">
                  <select name="smilepay_ezcatp_geo_zone_id" id="input-geo-zone" class="form-control">
                    <option value="0"><?php echo $text_all_zones; ?></option>
                    <?php foreach ($geo_zones as $geo_zone ): ?>

                    <?php if($geo_zone['geo_zone_id'] == $smilepay_ezcatp_geo_zone_id ): ?>
                    <option value="<?php echo $geo_zone['geo_zone_id']; ?>" selected="selected"><?php echo $geo_zone['name']; ?></option>
                    <?php else: ?>
                    <option value="<?php echo $geo_zone['geo_zone_id']; ?>"><?php echo $geo_zone['name']; ?></option>
                    <?php endif; ?>
                    <?php endforeach; ?>
                  </select>
                </div>
              </div>
           <!--Geo zone end-->
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-status"><?php echo $entry_status; ?></label>
                <div class="col-sm-10">
                  <select name="smilepay_ezcatp_status" id="input-status" class="form-control">
                    <?php if($smilepay_ezcatp_status ): ?>
                    <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                    <option value="0"><?php echo $text_disabled; ?></option>
                    <?php else: ?>
                    <option value="1"><?php echo $text_enabled; ?></option>
                    <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                    <?php endif; ?>
                  </select>
                </div>
              </div>
          <!--sort-order start-->
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-sort-order"><?php echo $entry_sort_order; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="smilepay_ezcatp_sort_order" value="<?php echo $smilepay_ezcatp_sort_order; ?>" placeholder="<?php echo $entry_sort_order; ?>" id="input-sort-order" class="form-control" />
                </div>
              </div>
          <!--sort-order end-->
           
  
          <!--min price start-->
              <div class="form-group">
                <label class="col-sm-2 control-label" ><?php echo $entry_min_total_cost; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="smilepay_ezcatp_min_total_cost" value="<?php echo $smilepay_ezcatp_min_total_cost; ?>" id="input-min-total-cost" class="form-control" />
                  <?php if($error_min_cost_over ): ?><span style="color: red;"><?php echo $error_min_cost_over; ?></span><?php endif; ?>
                </div>
              </div>
           <!--min price end-->
           <!--max price start-->
              <div class="form-group">
                <label class="col-sm-2 control-label" ><?php echo $entry_max_total_cost; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="smilepay_ezcatp_max_total_cost" value="<?php echo $smilepay_ezcatp_max_total_cost; ?>"  id="input-max-total-cost"    class="form-control" />
                    <?php if($error_max_cost_over ): ?> <span style="color: red;"> <?php echo $error_max_cost_over; ?></span><?php endif; ?>
                    <?php if($error_max_min_rule ): ?><span style="color: red;"> <?php echo $error_max_min_rule; ?></span><?php endif; ?>
                    <span><?php echo $entry_limited_note; ?></span>
                </div>
              </div>
          <!--max price end-->
           <!--free start-->
               <div class="form-group">
                <label class="col-sm-2 control-label" ><?php echo $entry_enough_free; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="smilepay_ezcatp_free_cost" value="<?php echo $smilepay_ezcatp_free_cost; ?>" id="input-free-cost" class="form-control" />
                </div>
              </div>
            <!--free end-->
            <!--frontend title-->
               <div class="form-group">
                <label class="col-sm-2 control-label" ><?php echo $entry_frontend_title; ?></label>
                <div class="col-sm-10">
                    <input type="text" name="smilepay_ezcatp_frontend_title" value="<?php echo $smilepay_ezcatp_frontend_title; ?>" id="input-frontend-title" class="form-control" />
                </div>
               </div>
            <!--frontend title end-->
                <div  class="form-group">
                   <div class="col-sm-2" ></div>
                   <div class="col-sm-10"> <strong><?php echo $text_note; ?></strong> </div> 
                </div>
            </div>
        </div>
        
       
        <!--group normal start-->
        <div class="panel-body" id="group-normal">
           <div class="panel-heading">
                <h3 class="panel-title"> <a data-toggle="collapse" data-parent="#group-normal" href="#group-normal-content"><?php echo $group_noraml; ?></a></h3>
           </div>
           <div id="group-normal-content" class="panel-collapse collapse in">
               <!--normal_enabled start-->
               <div class="form-group">
                <label class="col-sm-2 control-label" for="input-normal-enabled"><?php echo $entry_normal_enabled; ?></label>
                <div class="col-sm-10">
                  <select name="smilepay_ezcatp_normal_enabled" id="input-normal-enabled" class="form-control">
                    <?php if($smilepay_ezcatp_normal_enabled ): ?>
                    <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                    <option value="0"><?php echo $text_disabled; ?></option>
                    <?php else: ?>
                    <option value="1"><?php echo $text_enabled; ?></option>
                    <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                    <?php endif; ?>
                  </select>
                </div>
              </div>
               <!--normal_enabled end-->

              <!--normal_cost start-->
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-normal-cost"><?php echo $entry_normal_cost; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="smilepay_ezcatp_normal_cost" value="<?php echo $smilepay_ezcatp_normal_cost; ?>" placeholder="<?php echo $entry_normal_cost; ?>" id="input-normal-cost" class="form-control" />
                  <?php if($error_normal_cost ): ?><span style="color: red;"> <?php echo $error_normal_cost; ?></span><?php endif; ?>
                  <span style="font-size: 15px;"><?php echo $entry_cost_note; ?> </span>
                </div>  
              </div>
              <!--normal_cost end-->

              <!--frontend normal title-->
              <div class="form-group">
                <label class="col-sm-2 control-label" ><?php echo $entry_frontend_normal_title; ?></label>
                <div class="col-sm-10">
                    <input type="text" name="smilepay_ezcatp_normal_frontend_title" value="<?php echo $smilepay_ezcatp_normal_frontend_title; ?>" id="input-normal-frontend-title" class="form-control" />
                </div>
              </div>
              <!--frontend normal title end-->
          </div>
        </div>
        <!--group normal end-->
        
     
       
        <!--group fridge start-->
        <div class="panel-body" id="group-fridge">
           <!--fridge_enabled start-->
           <div class="panel-heading">
                <h3 class="panel-title"> <a data-toggle="collapse" data-parent="#group-fridge" href="#group-fridge-content"><?php echo $group_fridge; ?></a></h3>
           </div>
           <div id="group-fridge-content" class="panel-collapse collapse in">
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-fridge-enabled"><?php echo $entry_fridge_enabled; ?></label>
                <div class="col-sm-10">
                  <select name="smilepay_ezcatp_fridge_enabled" id="input-fridge-enabled" class="form-control">
                    <?php if($smilepay_ezcatp_fridge_enabled ): ?>
                    <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                    <option value="0"><?php echo $text_disabled; ?></option>
                    <?php else: ?>
                    <option value="1"><?php echo $text_enabled; ?></option>
                    <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                    <?php endif; ?>
                  </select>
                </div>
              </div>
               <!--fridge_enabled end-->

              <!--fridge_cost start-->
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-fridge-cost"><?php echo $entry_fridge_cost; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="smilepay_ezcatp_fridge_cost" value="<?php echo $smilepay_ezcatp_fridge_cost; ?>" placeholder="<?php echo $entry_fridge_cost; ?>" id="input-fridge-cost" class="form-control" />
                  <?php if($error_fridge_cost ): ?><span style="color: red;"> <?php echo $error_fridge_cost; ?></span><?php endif; ?>
                  <span style="font-size: 15px;"><?php echo $entry_cost_note; ?> </span>
                </div>  
              </div>
              <!--fridge_cost end-->

              <!--frontend firdge title-->
              <div class="form-group">
                <label class="col-sm-2 control-label" ><?php echo $entry_frontend_fridge_title; ?></label>
                <div class="col-sm-10">
                    <input type="text" name="smilepay_ezcatp_fridge_frontend_title" value="<?php echo $smilepay_ezcatp_fridge_frontend_title; ?>" id="input-fridge-frontend-title" class="form-control" />
                </div>
              </div>
              <!--frontend fridge title end-->
          </div>
        </div>
        <!--group fridge end-->
        
       
       
        <!--group freeze start-->
        <div class="panel-body" id="group-freeze">
           <!--fridge_enabled start-->
           <div class="panel-heading">
                <h3 class="panel-title"> <a data-toggle="collapse" data-parent="#group-freeze" href="#group-freeze-content"><?php echo $group_freeze; ?></a></h3>
           </div>
           <div id="group-freeze-content" class="panel-collapse collapse in">
               <!--freeze_enabled start-->
               <div class="form-group">
                <label class="col-sm-2 control-label" for="input-freeze-enabled"><?php echo $entry_freeze_enabled; ?></label>
                <div class="col-sm-10">
                  <select name="smilepay_ezcatp_freeze_enabled" id="input-freeze-enabled" class="form-control">
                    <?php if($smilepay_ezcatp_freeze_enabled ): ?>
                    <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                    <option value="0"><?php echo $text_disabled; ?></option>
                    <?php else: ?>
                    <option value="1"><?php echo $text_enabled; ?></option>
                    <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                    <?php endif; ?>
                  </select>
                </div>
              </div>
               <!--freeze_enabled end-->

              <!--freeze_cost start-->
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-freeze-cost"><?php echo $entry_freeze_cost; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="smilepay_ezcatp_freeze_cost" value="<?php echo $smilepay_ezcatp_freeze_cost; ?>" placeholder="<?php echo $entry_freeze_cost; ?>" id="input-freeze-cost" class="form-control" />
                  <?php if($error_freeze_cost ): ?><span style="color: red;"> <?php echo $error_freeze_cost; ?></span><?php endif; ?>
                  <span style="font-size: 15px;"><?php echo $entry_cost_note; ?> </span>
                </div>  
              </div>
              <!--freeze_cost end-->

              <!--frontend freeze title-->
              <div class="form-group">
                <label class="col-sm-2 control-label" ><?php echo $entry_frontend_freeze_title; ?></label>
                <div class="col-sm-10">
                    <input type="text" name="smilepay_ezcatp_freeze_frontend_title" value="<?php echo $smilepay_ezcatp_freeze_frontend_title; ?>" id="input-freeze-frontend-title" class="form-control" />
                </div>
              </div>
              <!--frontend freeze title end-->
          </div>
        </div>
        <!--group freeze end-->

        </form>
      </div>
    </div>
  </div>
</div>
<?php echo $footer; ?>