<?php 
error_reporting(0);
class ControllerCheckoutSmilePay711c2cSuccess extends Controller {
    const SMILEPAY_C2CP_SERVICE_TYPE = 'smilePay_shipping_c2cp';
    const SMILEPAY_C2CP_SERVICE_ID_711 = 'smilePay_shipping_c2cp';
    const SMILEPAY_C2CP_SERVICE_ID_FAMI = 'fami';
	public function index() {        	  
		if (isset($this->session->data['order_id'])) {
			$this->cart->clear();	
            // Add to activity log
			if ($this->config->get('config_customer_activity')) {
				$this->load->model('account/activity');

				if ($this->customer->isLogged()) {
					$activity_data = array(
						'customer_id' => $this->customer->getId(),
						'name'        => $this->customer->getFirstName() . ' ' . $this->customer->getLastName(),
						'order_id'    => $this->session->data['order_id']
					);

					$this->model_account_activity->addActivity('order_account', $activity_data);
				} else {
					$activity_data = array(
						'name'     => $this->session->data['guest']['firstname'] . ' ' . $this->session->data['guest']['lastname'],
						'order_id' => $this->session->data['order_id']
					);

					$this->model_account_activity->addActivity('order_guest', $activity_data);
				}
			}		
			unset($this->session->data['shipping_method']);
			unset($this->session->data['shipping_methods']);
			unset($this->session->data['payment_method']);
			unset($this->session->data['payment_methods']);
			unset($this->session->data['guest']);
			unset($this->session->data['comment']);
			unset($this->session->data['order_id']);	
			unset($this->session->data['coupon']);      	
            unset($this->session->data['reward']);
			unset($this->session->data['voucher']);
			unset($this->session->data['vouchers']);
			unset($this->session->data['totals']);		
		} 
    $this->load->model('checkout/order');	
    $this->load->model('extension/payment/smilepay_711c2c');
    $this->load->language('common/header');
    $this->load->language('checkout/smilepay_711c2c_success');     

    $data['breadcrumbs'] = array();   
  	$data['breadcrumbs'][] = array(
    	'href'      => $this->url->link('common/home'),
    	'text'      => $this->language->get('text_home'),
    	'separator' => false
  	);                                      
  	$data['breadcrumbs'][] = array(
    	'href'      => $this->url->link('checkout/cart','',true),
    	'text'      => $this->language->get('text_basket'),
    	'separator' => $this->language->get('text_separator')
  	);                                      		
		$data['breadcrumbs'][] = array(
			'href'      => $this->url->link('checkout/checkout', '', true),
			'text'      => $this->language->get('text_checkout'),
			'separator' => $this->language->get('text_separator')
		);	                                    					
   	$data['breadcrumbs'][] = array(
      	'href'      => $this->url->link('checkout/smilepay_atm_success','',true),
      	'text'      => $this->language->get('text_success'),
       	'separator' => $this->language->get('text_separator')
   	);

      		
	$this->document->setTitle($this->language->get('heading_title'));
  	$data['heading_title'] = $this->language->get('heading_title');
    $data['heading_title_error'] = $this->language->get('heading_title_error');
        
    ($_REQUEST['Status']=="1") ?  $data['error'] =false :   $data['error'] =true;
    $order_id=$_REQUEST['Data_id'];
    $order_info = $this->model_checkout_order->getOrder($order_id);
    $cvs_store_name = $this->getCVSStoreNameTable();
     
    $data['text_custom_bill'] = sprintf($this->language->get('text_custom_bill'),$_REQUEST['Pur_name'],$_REQUEST['Mobile_number'] ,$cvs_store_name[$order_info['shipping_code']],$_REQUEST['Storename'],$_REQUEST['Storeid'],$_REQUEST['Storeaddress'],$_REQUEST['Amount']);
    $data['text_error_message'] = sprintf($this->language->get('text_error_message'),"MAP",$this->language->get('text_maperror'));
    $data['button_continue'] = $this->language->get('text_success');
    $data['continue'] = $this->url->link('common/home');

    $data['Dcvc']    =$this->config->get('smilepay_711c2c_dcvc'); 
    $data['Verify_key']= $this->config->get('smilepay_711c2c_verifykey');
    // check error status set variable.
    if($data['error'])
    {
         $ordered_status=$this->config->get('smilepay_711c2c_ordered_fail_status_id');
         $comment=$data['text_error_message'] ;
         if(!isset($this->session->data['smilepay_payment_runonce']) || !$this->session->data['smilepay_payment_runonce'])
         {
            $this->model_extension_payment_smilepay_711c2c->paidorder($_REQUEST['Data_id'],$ordered_status,$comment);        
         }  
    }
    else
    {  
        
        $ordered_status=$this->config->get('smilepay_711c2c_order_status_id');
        $this->load->model('extension/shipping/smilePay_shipping_c2cp');  
        $arg_table = $this->model_extension_shipping_smilePay_shipping_c2cp->get_smilepay_c2cp_type();
        
        if(isset($order_info['shipping_code']))
        {
            if(isset($arg_table[$order_info['shipping_code']]))
                $pay_subzg = $arg_table[$order_info['shipping_code']];
            else
                 $pay_subzg  = '';
        }    
        else
             $pay_subzg  = '';
      
        $comment= sprintf($this->language->get('text_store_message'),$_REQUEST['Smseid'],$_REQUEST['Storeid'],$_REQUEST['Storename'],$_REQUEST['Smseid'],$data['Dcvc'] ,$data['Verify_key'], $pay_subzg ); 
        $notifycomment= sprintf($this->language->get('text_customer_message_order_create_format'),$_REQUEST['Storeid'],$cvs_store_name[$order_info['shipping_code']] , $_REQUEST['Storename'],$_REQUEST['Storeaddress']);

        
        $order_info['shipping_address_1']= $_REQUEST['Storename'] ." (".$_REQUEST['Storeid'] .")";
        $order_info['shipping_address_2']= $_REQUEST['Storeaddress'];

        $this->db->query("UPDATE `" . DB_PREFIX . "order` SET shipping_address_1 = '" .  $order_info['shipping_address_1'] . "', shipping_address_2 = '". $order_info['shipping_address_2'] ."' WHERE order_id = '" . (int)$order_id . "'");


        if(!isset($this->session->data['smilepay_payment_runonce']) || !$this->session->data['smilepay_payment_runonce'])
        {
            $this->model_checkout_order->addOrderHistory($_REQUEST['Data_id'],$ordered_status,$comment);
            $this->model_checkout_order->addOrderHistory($_REQUEST['Data_id'],$ordered_status,$notifycomment,true);
        }

        //change address

    }
    $this->session->data['smilepay_payment_runonce'] =true;	
   

		
		/*	$data['coupon'] = $this->load->controller('checkout/coupon');
			$data['voucher'] = $this->load->controller('checkout/voucher');
			$data['reward'] = $this->load->controller('checkout/reward');
			$data['shipping'] = $this->load->controller('checkout/shipping');*/
			$data['column_left'] = $this->load->controller('common/column_left');
			$data['column_right'] = $this->load->controller('common/column_right');
			$data['content_top'] = $this->load->controller('common/content_top');
			$data['content_bottom'] = $this->load->controller('common/content_bottom');
			$data['footer'] = $this->load->controller('common/footer');
			$data['header'] = $this->load->controller('common/header');
			
			/*if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/common/smilepay_success.tpl')) {
				$this->template = $this->config->get('config_template') . '/template/common/smilepay_success.tpl';
			} else {
				$this->response->setOutput($this->load->view('default/template/common/smilepay_711c2c_success.tpl', $data));
			}*/
            $this->response->setOutput($this->load->view('common/smilepay_711c2c_success.tpl', $data));

 	} 
	public function callback() {
      $this->language->load('checkout/smilepay_711c2c_success');
      $classif           = $_REQUEST['Classif'];
      $data_id           = $_REQUEST['Data_id'];
      $amount            = $_REQUEST['Amount'];
      $purchamt          = $_REQUEST['Purchamt'];
      $process_date_time = $_REQUEST['Process_date']." ".iconv("big5","UTF-8",$_REQUEST['Process_time']);
      $smseid            = $_REQUEST['Smseid'];
  		$dcvc              = $this->config->get('smilepay_711c2c_dcvc'); // 您的商店代號
      
      $mid               = $this->config->get('smilepay_711c2c_mid');
      $mid_value         = trim($this->config->get('smilepay_711c2c_mid_value'));
      $mid_smilepay      = $_REQUEST['Mid_smilepay'];                   
                                  
       if($mid == true){
         if(!$this->midfun($mid_value,$amount,$smseid,$mid_smilepay)){
            echo  "Possible fraud";
            exit();
         }
       } 
      $this->load->model('checkout/order');	
		  $order_info = $this->model_checkout_order->getOrder($data_id); 
      
      if( $amount == intval(round($order_info['total'])) && $classif == 'T' ){ 
        if (!get_magic_quotes_gpc()) {
           $smseid  = addslashes($smseid);           
           $data_id = addslashes($data_id);
           $process_date_time = addslashes($process_date_time);
        }         
        //$comment  = "商品已取貨完成，追蹤碼:".$smseid ."交易成功回傳時間：".$process_date_time;
        $ordered_status=$this->config->get('smilepay_711c2c_ordered_status_id');
        //$this->load->model('payment/smilepay_711c2c');
        //$this->model_payment_smilepay_711c2c->paidorder($data_id,$ordered_status,$comment);     
        $comment  = sprintf($this->language->get('text_success_payment_comment_format'),$smseid ,$process_date_time);
        $notifycomment = sprintf($this->language->get('text_success_payment_customer_comment_format'),$process_date_time);
        $this->model_checkout_order->addOrderHistory($data_id,$ordered_status,$notifycomment,true);      
        $this->model_checkout_order->addOrderHistory($data_id,$ordered_status,$comment,false);                
        echo '<Roturlstatus>ocart2.1.1</Roturlstatus>';
      }
      else {        
        echo 'fail2.1.1';     
      }
 	}
  	
    // compute Mid      
    function midfun($Mid_value,$Amount,$Smseid,$Mid_smilepay){   
      $Amount = str_pad($Amount,8,'0',STR_PAD_LEFT);                   
      $Smseid= preg_replace('/[\D]/i','9',substr($Smseid,-4));      
      $dtotal=$Mid_value.$Amount.$Smseid;                              
      
      $i = 1;
      $sum = strlen($dtotal);
      $etemp=0;      
      while ($i <= $sum)
      {
        $ep = substr($dtotal,$i,1);
        $etemp = $etemp + $ep;                
        $i=$i+2;
      }                
      
      $i = 0;  
      $otemp=0;          
      while ($i <= $sum)
      {                                              
        $op = substr($dtotal,$i,1);
        $otemp = $otemp + $op;
        $i=$i+2;
      }
      $mid=($etemp*3)+($otemp*9);    
      
      if($Mid_smilepay == $mid){
        return true;
      }else{
        return false;
      }
         
    }   	
  	protected function getCVSStoreNameTable()
    {
        $this->load->language('checkout/smilepay_711c2c_success'); 
        return array(
                     self::SMILEPAY_C2CP_SERVICE_TYPE ."." . self::SMILEPAY_C2CP_SERVICE_ID_711 => $this->language->get('text_store_711'),
                     self::SMILEPAY_C2CP_SERVICE_TYPE ."." . self::SMILEPAY_C2CP_SERVICE_ID_FAMI => $this->language->get('text_store_fami')
                );
    }
}
?>