<?php
class ControllerSmilepayOrder extends Controller {
	private $error = array();

    public function index() {
        //$data=array();
        //$this->load->language('smilepayei/order');
        //return $this->load->view('smilepayei/order', $data);

    }

   
    public function order_info_ezcatup($order_id) {
         $data=array();
         if(empty($order_id))
         {
             if(isset($this->request->request['order_id']))
                $data['order_id'] = $this->request->request['order_id'];
         }
         else
            $data['order_id'] = $order_id;

        if(empty($data['order_id']))
            return FALSE;

        $this->load->language('smilepay/order');
        $this->load->model('sale/order');
         
        $order_info = $this->model_sale_order->getOrder($data['order_id'] );
     
        if(!preg_match('/^smilepay_ezcatup./',$order_info['shipping_code']) )
            return '';

        if( !$this->config->get('smilepay_ezcatup_status'))
        {
            $this->response->setOutput("Unsupported Smilepay_ezcatup on this site.");
            return;
        }
        
        //language
        $data['text_smilepay_ezcatup_title']=$this->language->get('text_smilepay_ezcatup_title');
        $data['text_smilepay_smseid']=$this->language->get('text_smilepay_smseid');
        $data['text_smilepay_tracknum']=$this->language->get('text_smilepay_tracknum');
        $data['text_smilepay_ezcat_lwh']=$this->language->get('text_smilepay_ezcat_lwh');
        $data['text_smilepay_ezcat_create']=$this->language->get('text_smilepay_ezcat_create');
        $data['text_smilepay_ezcat_note']=$this->language->get('text_smilepay_ezcat_note');
        $data['error_smilepay_ezcat_lwh_format']=$this->language->get('error_smilepay_ezcat_lwh_format');
        
        $this->load->model('smilepay/smilepay_ezcatup');
		$order_data = $this->model_smilepay_smilepay_ezcatup->loadOrderData($order_id);
        $data['token'] = $this->session->data['token'];
        $data['order_data']= $order_data;
        $shipping_service = explode('.',$order_info['shipping_code']);
        if(count($shipping_service)>1 )
        {
             $data['shipping_service']= $shipping_service[1];
        }
        else
        {
             $data['shipping_service']= $shipping_service[0];
        }


        $data['lang'] = array(
                            'error_smilepay_ezcat_lwh_format_over_120' => sprintf($this->language->get('error_smilepay_ezcat_lwh_format_over') ,120),
                            'error_smilepay_ezcat_lwh_format_over_150' => sprintf($this->language->get('error_smilepay_ezcat_lwh_format_over') ,150)
                        );

        return $this->load->view('smilepay/smilepay_ezcatup', $data);

         //return 'test';
     }


     public function order_info_ezcatp($order_id) {
         $data=array();
         if(empty($order_id))
         {
             if(isset($this->request->request['order_id']))
                $data['order_id'] = $this->request->request['order_id'];
         }
         else
            $data['order_id'] = $order_id;

        if(empty($data['order_id']))
            return FALSE;

        $this->load->language('smilepay/order');
        $this->load->model('sale/order');
         
        $order_info = $this->model_sale_order->getOrder($data['order_id'] );
        
        if(!preg_match('/^smilepay_ezcatp./',$order_info['shipping_code']) )
            return '';

        if( !$this->config->get('smilepay_ezcatp_status'))
        {
            $this->response->setOutput("Unsupported Smilepay_ezcatp on this site.");
            return;
        }

        //language
        $data['text_smilepay_ezcatp_title']=$this->language->get('text_smilepay_ezcatp_title');
        $data['text_smilepay_smseid']=$this->language->get('text_smilepay_smseid');
        $data['text_smilepay_tracknum']=$this->language->get('text_smilepay_tracknum');
        $data['text_smilepay_ezcat_lwh']=$this->language->get('text_smilepay_ezcat_lwh');
        $data['text_smilepay_ezcat_create']=$this->language->get('text_smilepay_ezcat_create');
        $data['text_smilepay_ezcat_note']=$this->language->get('text_smilepay_ezcat_note');
        $data['error_smilepay_ezcat_lwh_format']=$this->language->get('error_smilepay_ezcat_lwh_format');

        $this->load->model('smilepay/smilepay_ezcatp');
		$order_data = $this->model_smilepay_smilepay_ezcatp->loadOrderData($order_id);
        $data['token'] = $this->session->data['token'];
        $data['order_data']= $order_data;
        $shipping_service = explode('.',$order_info['shipping_code']);
        if(count($shipping_service)>1 )
        {
             $data['shipping_service']= $shipping_service[1];
        }
        else
        {
             $data['shipping_service']= $shipping_service[0];
        }


        $data['lang'] = array(
                            'error_smilepay_ezcat_lwh_format_over_120' => sprintf($this->language->get('error_smilepay_ezcat_lwh_format_over') ,120),
                            'error_smilepay_ezcat_lwh_format_over_150' => sprintf($this->language->get('error_smilepay_ezcat_lwh_format_over') ,150)
                        );

        return $this->load->view('smilepay/smilepay_ezcatp', $data);

         //return 'test';
     }

}