<?php 
class ModelExtensionPaymentSmilePayEzcat extends Model {
  	public function getMethod($address, $total) {
		$this->load->language('extension/payment/smilepay_ezcat');
		
		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "zone_to_geo_zone WHERE geo_zone_id = '" . (int)$this->config->get('smilepay_ezcat_geo_zone_id') . "' AND country_id = '" . (int)$address['country_id'] . "' AND (zone_id = '" . (int)$address['zone_id'] . "' OR zone_id = '0')");
		
		                    
	    if (!$this->config->get('smilepay_ezcat_geo_zone_id')) {
			$status = true;
		} elseif ($query->num_rows) {
			$status = true;
		} else {
			$status = false;
		}
      
           
		$method_data = array();
	    if(is_null($this->config->get('smilepay_ezcat_frontend_title')))
            $title =  $this->language->get('text_title');
        else
            $title =$this->config->get('smilepay_ezcat_frontend_title');

		if ($status) {  
      		$method_data = array( 
        		'code'         => 'smilepay_ezcat',
        		'title'      => $title,//$this->language->get('text_title'),
				'terms'      => '',			//2.0修改					
			    'sort_order' => $this->config->get('smilepay_ezcat_sort_order')
      		);
    	}
   
    	return $method_data;
  	}
  	
  	public function paidorder($data_id,$order_status,$comment){
  	 $this->db->query("UPDATE `" . DB_PREFIX . "order` SET order_status_id = '".(int)$order_status."', date_modified = NOW() WHERE order_id = '" . (int)$data_id . "'");
     $this->db->query("INSERT INTO " . DB_PREFIX . "order_history SET order_id = '" . (int)$data_id . "', order_status_id = '".(int)$order_status."', notify = '1', comment = '" . $comment . "', date_added = NOW()");
     return true;
    }
    public function modify_order_status($order_id, $order_status_id, $comment = '', $notify = false)
    {
       $this->db->query("UPDATE `" . DB_PREFIX . "order` SET order_status_id = '" . (int)$order_status_id . "', date_modified = NOW() WHERE order_id = '" . (int)$order_id . "'");
       $this->db->query("INSERT INTO " . DB_PREFIX . "order_history SET order_id = '" . (int)$order_id . "', order_status_id = '" . (int)$order_status_id . "', notify = '" . (int)$notify . "', comment = '" . $this->db->escape($comment) . "', date_added = NOW()");
    }
}
?>